#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, h = 0, mrtvi = 0;
    cin >> n;
    string s = " ";
    deque<int> dementorijug, dementorisever;
    for (int i = 0; i < n; i++)
    {
        int a;
        cin >> a;
        if (a > 0)
        {
            dementorisever.push_back(a);
        }
        else
            dementorijug.push_front(a);
    }
    while (true)
    {
        int jug = dementorijug.size();
        if (h == dementorisever[1] || h == dementorijug[jug-1])
            break;
        if (dementorisever.empty() && dementorijug.empty())
        {
            break;
        }
        int bp = s.size();
        if (dementorijug.empty())
        {
            if (s[bp-1] != '1' || s[bp-1] != '2')
            {
                s += '1';
                dementorisever.pop_back();
                mrtvi++;
            }
            else
            {
                s += '3';
                h++;
            }
        }
        else if (dementorisever.empty())
        {
            if (s[bp-1] != '1' || s[bp-1] != '2')
            {
                s += '2';
                dementorijug.pop_front();
                mrtvi++;
            }
            else
            {
                s += '3';
                h++;
            }
        }
        else
        {
            if (s[bp-1] != '1' || s[bp-1] != '2')
            {
                s += '2';
                dementorijug.pop_front();
                mrtvi++;
            }
            else
            {
                s += '3';
                h++;
            }
        }

    }

    cout << mrtvi << "\n" << s;
    return 0;
}